Additional Services
The Additional Services endpoints handle draft orders for add-on services on an existing merchant. Use these endpoints when you need to subscribe an existing merchant to extra services without creating a merchant onboarding order.
How It Works
Submit for processing
Use POST /orders/drafts/{orderId} (see Orders — Common) to submit the draft for processing.
API Reference
Create Additional Services Order
Creates an order for add-on services (e.g. APM integration). A new PPC is created if no contract ID is specified.
An optional header indicating whether to save the order into a DRAFT status. If this value is not specified or set to false then the order will be SUBMITTED immediately.
Additional services order & package details
Client reference for the Order.
ORD-1234Verifone allocated ID for the customer this order is for (packages and bundles are associated with this entity).
The requested date for this order.
Defers order processing until the specified ISO 8601 UTC datetime (e.g. 2026-06-20T09:00:00Z). The workflow will not start before this point. If absent, processing begins immediately.
2026-06-20T09:00:00ZPurchase Order Reference
85219587Notes for the Order
Current in draft, caller got busy, callback anothertime.Verifone ID for the Portfolio Selected. If this is not provided then a default portfolio will be used.
32c480b5-4dfb-4c53-959f-49edf45a0931Create Additional Services Order Response
Standard fields returned in Order responses
Client reference for the Order.
ORD-1234Verifone allocated ID for the customer this order is for (packages and bundles are associated with this entity).
The requested date for this order.
Defers order processing until the specified ISO 8601 UTC datetime (e.g. 2026-06-20T09:00:00Z). The workflow will not start before this point. If absent, processing begins immediately.
2026-06-20T09:00:00ZPurchase Order Reference
85219587Notes for the Order
Current in draft, caller got busy, callback anothertime.Verifone ID for the Portfolio Selected. If this is not provided then a default portfolio will be used.
32c480b5-4dfb-4c53-959f-49edf45a0931Verifone allocated ID for the Order.
32c480b5-4dfb-4c53-959f-49edf45a0931The assigned User ID corresponding to the Order Created By.
04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1The username of the person who's UID is represented, e.g. "John/Jane Smith".
The created date for this order.
The assigned User_ID corresponding to the Order Modified By.
04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1The username of the person who's UID is represented, e.g. "John/Jane Smith".
The last modified date for this order.
The Verifone allocated unique id for this site.
14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9The Verifone allocated unique ID for this merchant company.
14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9AdditionalServicesOrderBad Request
Unauthorised Request
Forbidden Request.
Not Found Request
Too Many Requests
Internal Error
Service Not Available
Service Timeout
POST /orders/merchant/additionalServices HTTP/1.1
Host: api.verifone.com
Content-Type: application/json
Accept: */*
Content-Length: 5419
{
"orderReference": "ORD-1234",
"customerEntityUid": "123e4567-e89b-12d3-a456-426614174000",
"requestedDate": "2026-01-01T00:00:00.000Z",
"deferredOrderProcessingDate": "2026-06-20T09:00:00Z",
"poRef": "85219587",
"paymentDetails": {
"paymentType": "CREDIT",
"accountType": "CHEQUE",
"accountCurrency": "AED",
"institutionName": "HSBC Bank",
"accountName": "Coffee Supreme LTD",
"sortCode": "301105",
"bsb": 22039,
"routingTransitNumber": "247484410",
"accountNumber": "23008275",
"accountAddress": {
"receiverName": "text",
"addressLine1": "213 Miller Street",
"addressLine2": "North Sydney",
"addressLine3": "text",
"poBox": "K1234",
"city": "York",
"countrySubdivision": "Georgia",
"postCode": "2061",
"country": "AUS",
"timeZone": "text"
},
"ean": "23008275",
"iban": "text",
"bic": "CTBAAU2SXXX"
},
"notes": "Current in draft, caller got busy, callback anothertime.",
"additionalOrderData": [
{
"variableName": "VAT_ID or BAX_ID",
"variableValue": "1234566"
}
],
"portfolioUid": "32c480b5-4dfb-4c53-959f-49edf45a0931",
"contract": {
"brokerId": "text",
"legalStructure": "PROPRIETOR_OWN_BEHALF",
"contacts": [
{
"contact": {
"contactType": "BUSINESS",
"name": {
"firstName": "text",
"lastName": "text",
"prefix": "text",
"alternateFullName": "text",
"middleName": "text",
"suffix": "text"
},
"phoneNumbers": [
{
"callingCode": "text",
"value": "text",
"extension": "text",
"isPrimary": false,
"phoneType": "HOME"
}
],
"email": "name@gmail.com",
"businessTitle": "text",
"passportId": "text",
"nationality": "text",
"additionalNationalities": [
"text"
],
"nationalIdentifer": "text"
},
"addressDetails": {
"receiverName": "text",
"addressLine1": "213 Miller Street",
"addressLine2": "North Sydney",
"addressLine3": "text",
"poBox": "K1234",
"city": "York",
"countrySubdivision": "Georgia",
"postCode": "2061",
"country": "AUS",
"timeZone": "text"
},
"dateOfBirth": "2026-01-01",
"placeOfBirth": "text",
"isIDCheckRequired": false,
"isContractSignatureRequired": false,
"isLegalRepresentative": false,
"isAuthorizedRepresentative": false,
"isBeneficiaryOwner": false,
"isPoliticallyExposed": false,
"representativeType": "GENERAL_COMMERCIAL_POWER"
}
],
"settlementAccount": {
"currency": "AED",
"accountHolderType": "BUSINESS",
"description": "Coffee Supreme Trading",
"nickname": "Store 1 Account",
"country": "AUS",
"accountName": "text",
"iban": "text",
"bic": "CTBAAU2SXXX"
},
"domesticSettlementAccount": {
"currency": "AED",
"accountHolderType": "BUSINESS",
"description": "Coffee Supreme Trading",
"nickname": "Store 1 Account",
"accountName": "Coffee Supreme LTD",
"sortCode": "301105",
"bsb": 22039,
"routingTransitNumber": "247484410",
"accountNumberType": "DEFAULT",
"accountNumber": "23008275"
},
"serviceStartDate": "2026-01-01T00:00:00.000Z",
"terminalRentalStartDate": "2026-01-01T00:00:00.000Z",
"proprietorAct": true,
"documents": [
{
"documentId": "123e4567-e89b-12d3-a456-426614174000",
"documentName": "text",
"displayName": "text",
"status": "PENDING_UPLOAD",
"allowedContentTypes": [
"application/pdf"
],
"allowedContentLength": 2097152,
"contact": {
"contactType": "BUSINESS",
"name": {
"firstName": "text",
"lastName": "text",
"prefix": "text",
"alternateFullName": "text",
"middleName": "text",
"suffix": "text"
},
"phoneNumbers": [
{
"callingCode": "text",
"value": "text",
"extension": "text",
"isPrimary": false,
"phoneType": "HOME"
}
],
"email": "name@gmail.com",
"businessTitle": "text",
"passportId": "text",
"nationality": "text",
"additionalNationalities": [
"text"
],
"nationalIdentifer": "text"
},
"uploadedDate": "2026-01-01T00:00:00.000Z",
"modifiedDate": "2026-01-01T00:00:00.000Z"
}
],
"replacementAgreement": {
"contractNumber": "text",
"devices": [
{
"serialNumber": "text",
"deviceModel": "text"
}
]
}
},
"servicePackages": [
{
"packageBundleId": "PREMIUM-36MONTH",
"adjustedPrices": [
{
"priceModel": "MONTHLY_FEE",
"price": "20.50"
}
],
"processorParameters": {
"processor": "TSYS_US",
"tidList": [
"1004631982",
"1004631983",
"1004631984"
]
},
"additionalPackageData": [
{
"variableName": "VAT_ID or BAX_ID",
"variableValue": "1234566"
}
],
"threeDSMerchantIdentifiers": {
"merchantId": "541734",
"paymentType": "AFFIRM"
},
"contractUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1"
}
],
"shippingAddress": {
"contact": {
"contactType": "BUSINESS",
"name": {
"firstName": "text",
"lastName": "text",
"prefix": "text",
"alternateFullName": "text",
"middleName": "text",
"suffix": "text"
},
"phoneNumbers": [
{
"callingCode": "text",
"value": "text",
"extension": "text",
"isPrimary": false,
"phoneType": "HOME"
}
],
"email": "name@gmail.com",
"businessTitle": "text"
},
"vfiSiteId": "text",
"storeNumber": "text",
"governmentOwned": true,
"governmentCountry": "AUS",
"receiverName": "text",
"addressLine1": "213 Miller Street",
"addressLine2": "North Sydney",
"addressLine3": "text",
"poBox": "K1234",
"city": "York",
"countrySubdivision": "Georgia",
"postCode": "2061",
"country": "AUS",
"timeZone": "text"
},
"billingAddress": {
"contact": {
"contactType": "BUSINESS",
"name": {
"firstName": "text",
"lastName": "text",
"prefix": "text",
"alternateFullName": "text",
"middleName": "text",
"suffix": "text"
},
"phoneNumbers": [
{
"callingCode": "text",
"value": "text",
"extension": "text",
"isPrimary": false,
"phoneType": "HOME"
}
],
"email": "name@gmail.com",
"businessTitle": "text"
},
"vfiSiteId": "text",
"storeNumber": "text",
"governmentOwned": true,
"governmentCountry": "AUS",
"receiverName": "text",
"addressLine1": "213 Miller Street",
"addressLine2": "North Sydney",
"addressLine3": "text",
"poBox": "K1234",
"city": "York",
"countrySubdivision": "Georgia",
"postCode": "2061",
"country": "AUS",
"timeZone": "text"
},
"serviceTarget": {
"targetType": "SiteAndPois",
"siteEntityUid": "123e4567-e89b-12d3-a456-426614174000",
"pois": [
{
"poiUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
"acquirerPoiIds": [
{
"variableName": "VAT_ID or BAX_ID",
"variableValue": "1234566"
}
]
}
]
}
}{
"orderReference": "ORD-1234",
"customerEntityUid": "123e4567-e89b-12d3-a456-426614174000",
"requestedDate": "2026-01-01T00:00:00.000Z",
"deferredOrderProcessingDate": "2026-06-20T09:00:00Z",
"poRef": "85219587",
"paymentDetails": {
"paymentType": "CREDIT",
"accountType": "CHEQUE",
"accountCurrency": "AED",
"institutionName": "HSBC Bank",
"accountName": "Coffee Supreme LTD",
"sortCode": "301105",
"bsb": 22039,
"routingTransitNumber": "247484410",
"accountNumber": "23008275",
"accountAddress": {
"receiverName": "text",
"addressLine1": "213 Miller Street",
"addressLine2": "North Sydney",
"addressLine3": "text",
"poBox": "K1234",
"city": "York",
"countrySubdivision": "Georgia",
"postCode": "2061",
"country": "AUS",
"timeZone": "text"
},
"ean": "23008275",
"iban": "text",
"bic": "CTBAAU2SXXX"
},
"notes": "Current in draft, caller got busy, callback anothertime.",
"additionalOrderData": [
{
"variableName": "VAT_ID or BAX_ID",
"variableValue": "1234566"
}
],
"portfolioUid": "32c480b5-4dfb-4c53-959f-49edf45a0931",
"contract": {
"brokerId": "text",
"legalStructure": "PROPRIETOR_OWN_BEHALF",
"contacts": [
{
"contact": {
"contactType": "BUSINESS",
"name": {
"firstName": "text",
"lastName": "text",
"prefix": "text",
"alternateFullName": "text",
"middleName": "text",
"suffix": "text"
},
"phoneNumbers": [
{
"callingCode": "text",
"value": "text",
"extension": "text",
"isPrimary": false,
"phoneType": "HOME"
}
],
"email": "name@gmail.com",
"businessTitle": "text",
"passportId": "text",
"nationality": "text",
"additionalNationalities": [
"text"
],
"nationalIdentifer": "text"
},
"addressDetails": {
"receiverName": "text",
"addressLine1": "213 Miller Street",
"addressLine2": "North Sydney",
"addressLine3": "text",
"poBox": "K1234",
"city": "York",
"countrySubdivision": "Georgia",
"postCode": "2061",
"country": "AUS",
"timeZone": "text"
},
"dateOfBirth": "2026-01-01",
"placeOfBirth": "text",
"isIDCheckRequired": false,
"isContractSignatureRequired": false,
"isLegalRepresentative": false,
"isAuthorizedRepresentative": false,
"isBeneficiaryOwner": false,
"isPoliticallyExposed": false,
"representativeType": "GENERAL_COMMERCIAL_POWER"
}
],
"settlementAccount": {
"currency": "AED",
"accountHolderType": "BUSINESS",
"description": "Coffee Supreme Trading",
"nickname": "Store 1 Account",
"country": "AUS",
"accountName": "text",
"iban": "text",
"bic": "CTBAAU2SXXX"
},
"domesticSettlementAccount": {
"currency": "AED",
"accountHolderType": "BUSINESS",
"description": "Coffee Supreme Trading",
"nickname": "Store 1 Account",
"accountName": "Coffee Supreme LTD",
"sortCode": "301105",
"bsb": 22039,
"routingTransitNumber": "247484410",
"accountNumberType": "DEFAULT",
"accountNumber": "23008275"
},
"serviceStartDate": "2026-01-01T00:00:00.000Z",
"terminalRentalStartDate": "2026-01-01T00:00:00.000Z",
"proprietorAct": true,
"documents": [
{
"documentId": "123e4567-e89b-12d3-a456-426614174000",
"documentName": "text",
"displayName": "text",
"status": "PENDING_UPLOAD",
"allowedContentTypes": [
"application/pdf"
],
"allowedContentLength": 2097152,
"contact": {
"contactType": "BUSINESS",
"name": {
"firstName": "text",
"lastName": "text",
"prefix": "text",
"alternateFullName": "text",
"middleName": "text",
"suffix": "text"
},
"phoneNumbers": [
{
"callingCode": "text",
"value": "text",
"extension": "text",
"isPrimary": false,
"phoneType": "HOME"
}
],
"email": "name@gmail.com",
"businessTitle": "text",
"passportId": "text",
"nationality": "text",
"additionalNationalities": [
"text"
],
"nationalIdentifer": "text"
},
"uploadedDate": "2026-01-01T00:00:00.000Z",
"modifiedDate": "2026-01-01T00:00:00.000Z"
}
],
"replacementAgreement": {
"contractNumber": "text",
"devices": [
{
"serialNumber": "text",
"deviceModel": "text"
}
]
}
},
"servicePackages": [
{
"packageBundleId": "PREMIUM-36MONTH",
"adjustedPrices": [
{
"priceModel": "MONTHLY_FEE",
"price": "20.50"
}
],
"processorParameters": "[Circular Reference]",
"additionalPackageData": [
{
"variableName": "VAT_ID or BAX_ID",
"variableValue": "1234566"
}
],
"threeDSMerchantIdentifiers": {
"merchantId": "541734",
"paymentType": "AFFIRM"
},
"contractUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1"
}
],
"shippingAddress": {
"contact": {
"contactType": "BUSINESS",
"name": {
"firstName": "text",
"lastName": "text",
"prefix": "text",
"alternateFullName": "text",
"middleName": "text",
"suffix": "text"
},
"phoneNumbers": [
{
"callingCode": "text",
"value": "text",
"extension": "text",
"isPrimary": false,
"phoneType": "HOME"
}
],
"email": "name@gmail.com",
"businessTitle": "text"
},
"vfiSiteId": "text",
"storeNumber": "text",
"governmentOwned": true,
"governmentCountry": "AUS",
"receiverName": "text",
"addressLine1": "213 Miller Street",
"addressLine2": "North Sydney",
"addressLine3": "text",
"poBox": "K1234",
"city": "York",
"countrySubdivision": "Georgia",
"postCode": "2061",
"country": "AUS",
"timeZone": "text"
},
"billingAddress": {
"contact": {
"contactType": "BUSINESS",
"name": {
"firstName": "text",
"lastName": "text",
"prefix": "text",
"alternateFullName": "text",
"middleName": "text",
"suffix": "text"
},
"phoneNumbers": [
{
"callingCode": "text",
"value": "text",
"extension": "text",
"isPrimary": false,
"phoneType": "HOME"
}
],
"email": "name@gmail.com",
"businessTitle": "text"
},
"vfiSiteId": "text",
"storeNumber": "text",
"governmentOwned": true,
"governmentCountry": "AUS",
"receiverName": "text",
"addressLine1": "213 Miller Street",
"addressLine2": "North Sydney",
"addressLine3": "text",
"poBox": "K1234",
"city": "York",
"countrySubdivision": "Georgia",
"postCode": "2061",
"country": "AUS",
"timeZone": "text"
},
"serviceTarget": {
"targetType": "SiteAndPois",
"siteEntityUid": "123e4567-e89b-12d3-a456-426614174000",
"pois": [
{
"poiUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
"acquirerPoiIds": [
{
"variableName": "VAT_ID or BAX_ID",
"variableValue": "1234566"
}
]
}
]
},
"orderId": "32c480b5-4dfb-4c53-959f-49edf45a0931",
"status": "DRAFT",
"createdUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
"createdBy": "text",
"createdDate": "2026-01-01T00:00:00.000Z",
"modifiedUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
"modifiedBy": "text",
"modifiedDate": "2026-01-01T00:00:00.000Z",
"entityUid": "14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9",
"merchantCompanyEntityUid": "14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9",
"merchant": {
"merchantName": "text"
},
"orderType": "AdditionalServicesOrder",
"internal": {
"oracleOrderNumber": 1,
"oracleShippingTrackingReference": "text",
"kycReportUid": "123e4567-e89b-12d3-a456-426614174000",
"tokenScopeUid": "123e4567-e89b-12d3-a456-426614174000",
"extendedDetails": {
"status": "DRAFT",
"code": "text",
"information": "text",
"lastChangeTime": "2020-01-06T18:16:14.243Z",
"canCancel": true
},
"orderStats": {
"minsSinceCreatedToLastUpdate": 0,
"minsSinceLastStatusUpdate": 0
},
"vmssApplication": {
"visaStatus": "NA ",
"visaMatches": 1,
"mcdStatus": "NA ",
"mcdMatches": 1,
"mcdTransactionReference": "text"
},
"salesforceApplicationId": "text",
"signingInformation": {
"provider": "SIGNICAT",
"providerRef": "text",
"signedFileUrl": "text",
"signingRequests": [
{
"providerRef": "text",
"contact": {
"contactType": "BUSINESS",
"name": {
"firstName": "text",
"lastName": "text",
"prefix": "text",
"alternateFullName": "text",
"middleName": "text",
"suffix": "text"
},
"phoneNumbers": [
{
"callingCode": "text",
"value": "text",
"extension": "text",
"isPrimary": false,
"phoneType": "HOME"
}
],
"email": "name@gmail.com",
"businessTitle": "text"
},
"signed": false,
"signedDateTime": "2026-01-01T00:00:00.000Z",
"signingLink": "text"
}
]
},
"econtractNotificationReminder": {
"lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
"notificationCount": 1,
"templateName": "text",
"notifications": [
{
"sentDateTime": "2026-01-01T00:00:00.000Z",
"template": "text",
"responseReferenceId": "text"
}
]
},
"draftNotificationReminder": {
"lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
"notificationCount": 1,
"templateName": "text",
"notifications": [
{
"sentDateTime": "2026-01-01T00:00:00.000Z",
"template": "text",
"responseReferenceId": "text"
}
]
},
"notificationReminders": {
"econtract": {
"lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
"notificationCount": 1,
"templateName": "text",
"notifications": [
{
"sentDateTime": "2026-01-01T00:00:00.000Z",
"template": "text",
"responseReferenceId": "text"
}
]
},
"draft": {
"lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
"notificationCount": 1,
"templateName": "text",
"notifications": [
{
"sentDateTime": "2026-01-01T00:00:00.000Z",
"template": "text",
"responseReferenceId": "text"
}
]
},
"docRequired": {
"lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
"notificationCount": 1,
"templateName": "text",
"notifications": [
{
"sentDateTime": "2026-01-01T00:00:00.000Z",
"template": "text",
"responseReferenceId": "text"
}
]
}
},
"customerOrderLink": {
"orderLink": "https://example.com",
"linkInitiatorUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
"linkInitiatorUsername": "text",
"linkReceiverUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
"linkReceiverUsername": "text",
"linkSendTime": "2026-01-01T00:00:00.000Z",
"linkOpendByCustomerTime": "2026-01-01T00:00:00.000Z",
"customerUpdateTime": "2026-01-01T00:00:00.000Z"
},
"cancellationHistory": [
{
"cancelReasonEnum": "ADMIN_REASON",
"cancelAdditionalReason": "text",
"cancelledUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
"cancelledBy": "text",
"cancelledDate": "2026-01-01T00:00:00.000Z"
}
],
"externalOnboarding": {
"provider": "BANKAXEPT",
"agreementId": "123e4567-e89b-12d3-a456-426614174000",
"agreementStatus": "text",
"merchantId": "text"
}
}
}Update Additional Services Order
Updates an existing add-on services order, provided the order has not yet been submitted.
Verifone allocated ID for the Order.
32c480b5-4dfb-4c53-959f-49edf45a0931Additional services order & package details
Client reference for the Order.
ORD-1234Verifone allocated ID for the customer this order is for (packages and bundles are associated with this entity).
The requested date for this order.
Defers order processing until the specified ISO 8601 UTC datetime (e.g. 2026-06-20T09:00:00Z). The workflow will not start before this point. If absent, processing begins immediately.
2026-06-20T09:00:00ZPurchase Order Reference
85219587Notes for the Order
Current in draft, caller got busy, callback anothertime.Verifone ID for the Portfolio Selected. If this is not provided then a default portfolio will be used.
32c480b5-4dfb-4c53-959f-49edf45a0931Update Additional Services Order Response
Standard fields returned in Order responses
Client reference for the Order.
ORD-1234Verifone allocated ID for the customer this order is for (packages and bundles are associated with this entity).
The requested date for this order.
Defers order processing until the specified ISO 8601 UTC datetime (e.g. 2026-06-20T09:00:00Z). The workflow will not start before this point. If absent, processing begins immediately.
2026-06-20T09:00:00ZPurchase Order Reference
85219587Notes for the Order
Current in draft, caller got busy, callback anothertime.Verifone ID for the Portfolio Selected. If this is not provided then a default portfolio will be used.
32c480b5-4dfb-4c53-959f-49edf45a0931Verifone allocated ID for the Order.
32c480b5-4dfb-4c53-959f-49edf45a0931The assigned User ID corresponding to the Order Created By.
04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1The username of the person who's UID is represented, e.g. "John/Jane Smith".
The created date for this order.
The assigned User_ID corresponding to the Order Modified By.
04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1The username of the person who's UID is represented, e.g. "John/Jane Smith".
The last modified date for this order.
The Verifone allocated unique id for this site.
14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9The Verifone allocated unique ID for this merchant company.
14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9AdditionalServicesOrderBad Request
Unauthorised Request
Forbidden Request.
Not Found Request
Too Many Requests
Internal Error
Service Not Available
Service Timeout
PUT /orders/merchant/additionalServices/{orderId} HTTP/1.1
Host: api.verifone.com
Content-Type: application/json
Accept: */*
Content-Length: 5419
{
"orderReference": "ORD-1234",
"customerEntityUid": "123e4567-e89b-12d3-a456-426614174000",
"requestedDate": "2026-01-01T00:00:00.000Z",
"deferredOrderProcessingDate": "2026-06-20T09:00:00Z",
"poRef": "85219587",
"paymentDetails": {
"paymentType": "CREDIT",
"accountType": "CHEQUE",
"accountCurrency": "AED",
"institutionName": "HSBC Bank",
"accountName": "Coffee Supreme LTD",
"sortCode": "301105",
"bsb": 22039,
"routingTransitNumber": "247484410",
"accountNumber": "23008275",
"accountAddress": {
"receiverName": "text",
"addressLine1": "213 Miller Street",
"addressLine2": "North Sydney",
"addressLine3": "text",
"poBox": "K1234",
"city": "York",
"countrySubdivision": "Georgia",
"postCode": "2061",
"country": "AUS",
"timeZone": "text"
},
"ean": "23008275",
"iban": "text",
"bic": "CTBAAU2SXXX"
},
"notes": "Current in draft, caller got busy, callback anothertime.",
"additionalOrderData": [
{
"variableName": "VAT_ID or BAX_ID",
"variableValue": "1234566"
}
],
"portfolioUid": "32c480b5-4dfb-4c53-959f-49edf45a0931",
"contract": {
"brokerId": "text",
"legalStructure": "PROPRIETOR_OWN_BEHALF",
"contacts": [
{
"contact": {
"contactType": "BUSINESS",
"name": {
"firstName": "text",
"lastName": "text",
"prefix": "text",
"alternateFullName": "text",
"middleName": "text",
"suffix": "text"
},
"phoneNumbers": [
{
"callingCode": "text",
"value": "text",
"extension": "text",
"isPrimary": false,
"phoneType": "HOME"
}
],
"email": "name@gmail.com",
"businessTitle": "text",
"passportId": "text",
"nationality": "text",
"additionalNationalities": [
"text"
],
"nationalIdentifer": "text"
},
"addressDetails": {
"receiverName": "text",
"addressLine1": "213 Miller Street",
"addressLine2": "North Sydney",
"addressLine3": "text",
"poBox": "K1234",
"city": "York",
"countrySubdivision": "Georgia",
"postCode": "2061",
"country": "AUS",
"timeZone": "text"
},
"dateOfBirth": "2026-01-01",
"placeOfBirth": "text",
"isIDCheckRequired": false,
"isContractSignatureRequired": false,
"isLegalRepresentative": false,
"isAuthorizedRepresentative": false,
"isBeneficiaryOwner": false,
"isPoliticallyExposed": false,
"representativeType": "GENERAL_COMMERCIAL_POWER"
}
],
"settlementAccount": {
"currency": "AED",
"accountHolderType": "BUSINESS",
"description": "Coffee Supreme Trading",
"nickname": "Store 1 Account",
"country": "AUS",
"accountName": "text",
"iban": "text",
"bic": "CTBAAU2SXXX"
},
"domesticSettlementAccount": {
"currency": "AED",
"accountHolderType": "BUSINESS",
"description": "Coffee Supreme Trading",
"nickname": "Store 1 Account",
"accountName": "Coffee Supreme LTD",
"sortCode": "301105",
"bsb": 22039,
"routingTransitNumber": "247484410",
"accountNumberType": "DEFAULT",
"accountNumber": "23008275"
},
"serviceStartDate": "2026-01-01T00:00:00.000Z",
"terminalRentalStartDate": "2026-01-01T00:00:00.000Z",
"proprietorAct": true,
"documents": [
{
"documentId": "123e4567-e89b-12d3-a456-426614174000",
"documentName": "text",
"displayName": "text",
"status": "PENDING_UPLOAD",
"allowedContentTypes": [
"application/pdf"
],
"allowedContentLength": 2097152,
"contact": {
"contactType": "BUSINESS",
"name": {
"firstName": "text",
"lastName": "text",
"prefix": "text",
"alternateFullName": "text",
"middleName": "text",
"suffix": "text"
},
"phoneNumbers": [
{
"callingCode": "text",
"value": "text",
"extension": "text",
"isPrimary": false,
"phoneType": "HOME"
}
],
"email": "name@gmail.com",
"businessTitle": "text",
"passportId": "text",
"nationality": "text",
"additionalNationalities": [
"text"
],
"nationalIdentifer": "text"
},
"uploadedDate": "2026-01-01T00:00:00.000Z",
"modifiedDate": "2026-01-01T00:00:00.000Z"
}
],
"replacementAgreement": {
"contractNumber": "text",
"devices": [
{
"serialNumber": "text",
"deviceModel": "text"
}
]
}
},
"servicePackages": [
{
"packageBundleId": "PREMIUM-36MONTH",
"adjustedPrices": [
{
"priceModel": "MONTHLY_FEE",
"price": "20.50"
}
],
"processorParameters": {
"processor": "TSYS_US",
"tidList": [
"1004631982",
"1004631983",
"1004631984"
]
},
"additionalPackageData": [
{
"variableName": "VAT_ID or BAX_ID",
"variableValue": "1234566"
}
],
"threeDSMerchantIdentifiers": {
"merchantId": "541734",
"paymentType": "AFFIRM"
},
"contractUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1"
}
],
"shippingAddress": {
"contact": {
"contactType": "BUSINESS",
"name": {
"firstName": "text",
"lastName": "text",
"prefix": "text",
"alternateFullName": "text",
"middleName": "text",
"suffix": "text"
},
"phoneNumbers": [
{
"callingCode": "text",
"value": "text",
"extension": "text",
"isPrimary": false,
"phoneType": "HOME"
}
],
"email": "name@gmail.com",
"businessTitle": "text"
},
"vfiSiteId": "text",
"storeNumber": "text",
"governmentOwned": true,
"governmentCountry": "AUS",
"receiverName": "text",
"addressLine1": "213 Miller Street",
"addressLine2": "North Sydney",
"addressLine3": "text",
"poBox": "K1234",
"city": "York",
"countrySubdivision": "Georgia",
"postCode": "2061",
"country": "AUS",
"timeZone": "text"
},
"billingAddress": {
"contact": {
"contactType": "BUSINESS",
"name": {
"firstName": "text",
"lastName": "text",
"prefix": "text",
"alternateFullName": "text",
"middleName": "text",
"suffix": "text"
},
"phoneNumbers": [
{
"callingCode": "text",
"value": "text",
"extension": "text",
"isPrimary": false,
"phoneType": "HOME"
}
],
"email": "name@gmail.com",
"businessTitle": "text"
},
"vfiSiteId": "text",
"storeNumber": "text",
"governmentOwned": true,
"governmentCountry": "AUS",
"receiverName": "text",
"addressLine1": "213 Miller Street",
"addressLine2": "North Sydney",
"addressLine3": "text",
"poBox": "K1234",
"city": "York",
"countrySubdivision": "Georgia",
"postCode": "2061",
"country": "AUS",
"timeZone": "text"
},
"serviceTarget": {
"targetType": "SiteAndPois",
"siteEntityUid": "123e4567-e89b-12d3-a456-426614174000",
"pois": [
{
"poiUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
"acquirerPoiIds": [
{
"variableName": "VAT_ID or BAX_ID",
"variableValue": "1234566"
}
]
}
]
}
}{
"orderReference": "ORD-1234",
"customerEntityUid": "123e4567-e89b-12d3-a456-426614174000",
"requestedDate": "2026-01-01T00:00:00.000Z",
"deferredOrderProcessingDate": "2026-06-20T09:00:00Z",
"poRef": "85219587",
"paymentDetails": {
"paymentType": "CREDIT",
"accountType": "CHEQUE",
"accountCurrency": "AED",
"institutionName": "HSBC Bank",
"accountName": "Coffee Supreme LTD",
"sortCode": "301105",
"bsb": 22039,
"routingTransitNumber": "247484410",
"accountNumber": "23008275",
"accountAddress": {
"receiverName": "text",
"addressLine1": "213 Miller Street",
"addressLine2": "North Sydney",
"addressLine3": "text",
"poBox": "K1234",
"city": "York",
"countrySubdivision": "Georgia",
"postCode": "2061",
"country": "AUS",
"timeZone": "text"
},
"ean": "23008275",
"iban": "text",
"bic": "CTBAAU2SXXX"
},
"notes": "Current in draft, caller got busy, callback anothertime.",
"additionalOrderData": [
{
"variableName": "VAT_ID or BAX_ID",
"variableValue": "1234566"
}
],
"portfolioUid": "32c480b5-4dfb-4c53-959f-49edf45a0931",
"contract": {
"brokerId": "text",
"legalStructure": "PROPRIETOR_OWN_BEHALF",
"contacts": [
{
"contact": {
"contactType": "BUSINESS",
"name": {
"firstName": "text",
"lastName": "text",
"prefix": "text",
"alternateFullName": "text",
"middleName": "text",
"suffix": "text"
},
"phoneNumbers": [
{
"callingCode": "text",
"value": "text",
"extension": "text",
"isPrimary": false,
"phoneType": "HOME"
}
],
"email": "name@gmail.com",
"businessTitle": "text",
"passportId": "text",
"nationality": "text",
"additionalNationalities": [
"text"
],
"nationalIdentifer": "text"
},
"addressDetails": {
"receiverName": "text",
"addressLine1": "213 Miller Street",
"addressLine2": "North Sydney",
"addressLine3": "text",
"poBox": "K1234",
"city": "York",
"countrySubdivision": "Georgia",
"postCode": "2061",
"country": "AUS",
"timeZone": "text"
},
"dateOfBirth": "2026-01-01",
"placeOfBirth": "text",
"isIDCheckRequired": false,
"isContractSignatureRequired": false,
"isLegalRepresentative": false,
"isAuthorizedRepresentative": false,
"isBeneficiaryOwner": false,
"isPoliticallyExposed": false,
"representativeType": "GENERAL_COMMERCIAL_POWER"
}
],
"settlementAccount": {
"currency": "AED",
"accountHolderType": "BUSINESS",
"description": "Coffee Supreme Trading",
"nickname": "Store 1 Account",
"country": "AUS",
"accountName": "text",
"iban": "text",
"bic": "CTBAAU2SXXX"
},
"domesticSettlementAccount": {
"currency": "AED",
"accountHolderType": "BUSINESS",
"description": "Coffee Supreme Trading",
"nickname": "Store 1 Account",
"accountName": "Coffee Supreme LTD",
"sortCode": "301105",
"bsb": 22039,
"routingTransitNumber": "247484410",
"accountNumberType": "DEFAULT",
"accountNumber": "23008275"
},
"serviceStartDate": "2026-01-01T00:00:00.000Z",
"terminalRentalStartDate": "2026-01-01T00:00:00.000Z",
"proprietorAct": true,
"documents": [
{
"documentId": "123e4567-e89b-12d3-a456-426614174000",
"documentName": "text",
"displayName": "text",
"status": "PENDING_UPLOAD",
"allowedContentTypes": [
"application/pdf"
],
"allowedContentLength": 2097152,
"contact": {
"contactType": "BUSINESS",
"name": {
"firstName": "text",
"lastName": "text",
"prefix": "text",
"alternateFullName": "text",
"middleName": "text",
"suffix": "text"
},
"phoneNumbers": [
{
"callingCode": "text",
"value": "text",
"extension": "text",
"isPrimary": false,
"phoneType": "HOME"
}
],
"email": "name@gmail.com",
"businessTitle": "text",
"passportId": "text",
"nationality": "text",
"additionalNationalities": [
"text"
],
"nationalIdentifer": "text"
},
"uploadedDate": "2026-01-01T00:00:00.000Z",
"modifiedDate": "2026-01-01T00:00:00.000Z"
}
],
"replacementAgreement": {
"contractNumber": "text",
"devices": [
{
"serialNumber": "text",
"deviceModel": "text"
}
]
}
},
"servicePackages": [
{
"packageBundleId": "PREMIUM-36MONTH",
"adjustedPrices": [
{
"priceModel": "MONTHLY_FEE",
"price": "20.50"
}
],
"processorParameters": "[Circular Reference]",
"additionalPackageData": [
{
"variableName": "VAT_ID or BAX_ID",
"variableValue": "1234566"
}
],
"threeDSMerchantIdentifiers": {
"merchantId": "541734",
"paymentType": "AFFIRM"
},
"contractUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1"
}
],
"shippingAddress": {
"contact": {
"contactType": "BUSINESS",
"name": {
"firstName": "text",
"lastName": "text",
"prefix": "text",
"alternateFullName": "text",
"middleName": "text",
"suffix": "text"
},
"phoneNumbers": [
{
"callingCode": "text",
"value": "text",
"extension": "text",
"isPrimary": false,
"phoneType": "HOME"
}
],
"email": "name@gmail.com",
"businessTitle": "text"
},
"vfiSiteId": "text",
"storeNumber": "text",
"governmentOwned": true,
"governmentCountry": "AUS",
"receiverName": "text",
"addressLine1": "213 Miller Street",
"addressLine2": "North Sydney",
"addressLine3": "text",
"poBox": "K1234",
"city": "York",
"countrySubdivision": "Georgia",
"postCode": "2061",
"country": "AUS",
"timeZone": "text"
},
"billingAddress": {
"contact": {
"contactType": "BUSINESS",
"name": {
"firstName": "text",
"lastName": "text",
"prefix": "text",
"alternateFullName": "text",
"middleName": "text",
"suffix": "text"
},
"phoneNumbers": [
{
"callingCode": "text",
"value": "text",
"extension": "text",
"isPrimary": false,
"phoneType": "HOME"
}
],
"email": "name@gmail.com",
"businessTitle": "text"
},
"vfiSiteId": "text",
"storeNumber": "text",
"governmentOwned": true,
"governmentCountry": "AUS",
"receiverName": "text",
"addressLine1": "213 Miller Street",
"addressLine2": "North Sydney",
"addressLine3": "text",
"poBox": "K1234",
"city": "York",
"countrySubdivision": "Georgia",
"postCode": "2061",
"country": "AUS",
"timeZone": "text"
},
"serviceTarget": {
"targetType": "SiteAndPois",
"siteEntityUid": "123e4567-e89b-12d3-a456-426614174000",
"pois": [
{
"poiUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
"acquirerPoiIds": [
{
"variableName": "VAT_ID or BAX_ID",
"variableValue": "1234566"
}
]
}
]
},
"orderId": "32c480b5-4dfb-4c53-959f-49edf45a0931",
"status": "DRAFT",
"createdUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
"createdBy": "text",
"createdDate": "2026-01-01T00:00:00.000Z",
"modifiedUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
"modifiedBy": "text",
"modifiedDate": "2026-01-01T00:00:00.000Z",
"entityUid": "14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9",
"merchantCompanyEntityUid": "14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9",
"merchant": {
"merchantName": "text"
},
"orderType": "AdditionalServicesOrder",
"internal": {
"oracleOrderNumber": 1,
"oracleShippingTrackingReference": "text",
"kycReportUid": "123e4567-e89b-12d3-a456-426614174000",
"tokenScopeUid": "123e4567-e89b-12d3-a456-426614174000",
"extendedDetails": {
"status": "DRAFT",
"code": "text",
"information": "text",
"lastChangeTime": "2020-01-06T18:16:14.243Z",
"canCancel": true
},
"orderStats": {
"minsSinceCreatedToLastUpdate": 0,
"minsSinceLastStatusUpdate": 0
},
"vmssApplication": {
"visaStatus": "NA ",
"visaMatches": 1,
"mcdStatus": "NA ",
"mcdMatches": 1,
"mcdTransactionReference": "text"
},
"salesforceApplicationId": "text",
"signingInformation": {
"provider": "SIGNICAT",
"providerRef": "text",
"signedFileUrl": "text",
"signingRequests": [
{
"providerRef": "text",
"contact": {
"contactType": "BUSINESS",
"name": {
"firstName": "text",
"lastName": "text",
"prefix": "text",
"alternateFullName": "text",
"middleName": "text",
"suffix": "text"
},
"phoneNumbers": [
{
"callingCode": "text",
"value": "text",
"extension": "text",
"isPrimary": false,
"phoneType": "HOME"
}
],
"email": "name@gmail.com",
"businessTitle": "text"
},
"signed": false,
"signedDateTime": "2026-01-01T00:00:00.000Z",
"signingLink": "text"
}
]
},
"econtractNotificationReminder": {
"lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
"notificationCount": 1,
"templateName": "text",
"notifications": [
{
"sentDateTime": "2026-01-01T00:00:00.000Z",
"template": "text",
"responseReferenceId": "text"
}
]
},
"draftNotificationReminder": {
"lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
"notificationCount": 1,
"templateName": "text",
"notifications": [
{
"sentDateTime": "2026-01-01T00:00:00.000Z",
"template": "text",
"responseReferenceId": "text"
}
]
},
"notificationReminders": {
"econtract": {
"lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
"notificationCount": 1,
"templateName": "text",
"notifications": [
{
"sentDateTime": "2026-01-01T00:00:00.000Z",
"template": "text",
"responseReferenceId": "text"
}
]
},
"draft": {
"lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
"notificationCount": 1,
"templateName": "text",
"notifications": [
{
"sentDateTime": "2026-01-01T00:00:00.000Z",
"template": "text",
"responseReferenceId": "text"
}
]
},
"docRequired": {
"lastNotificationSentDateTime": "2026-01-01T00:00:00.000Z",
"notificationCount": 1,
"templateName": "text",
"notifications": [
{
"sentDateTime": "2026-01-01T00:00:00.000Z",
"template": "text",
"responseReferenceId": "text"
}
]
}
},
"customerOrderLink": {
"orderLink": "https://example.com",
"linkInitiatorUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
"linkInitiatorUsername": "text",
"linkReceiverUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
"linkReceiverUsername": "text",
"linkSendTime": "2026-01-01T00:00:00.000Z",
"linkOpendByCustomerTime": "2026-01-01T00:00:00.000Z",
"customerUpdateTime": "2026-01-01T00:00:00.000Z"
},
"cancellationHistory": [
{
"cancelReasonEnum": "ADMIN_REASON",
"cancelAdditionalReason": "text",
"cancelledUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
"cancelledBy": "text",
"cancelledDate": "2026-01-01T00:00:00.000Z"
}
],
"externalOnboarding": {
"provider": "BANKAXEPT",
"agreementId": "123e4567-e89b-12d3-a456-426614174000",
"agreementStatus": "text",
"merchantId": "text"
}
}
}Last updated
Was this helpful?
